Wed Sep 7 09:24:29 CEST 2022

pkg/slackpkg+-1.8.0-noarch-7mt.txz: Rebuilt
  - egrep deprecated. thx to ma marav
This commit is contained in:
Matteo Rossini 2022-09-07 09:30:26 +02:00
parent 41286e6157
commit 8fa8c614a2
5 changed files with 26 additions and 17 deletions

View file

@ -1,3 +1,8 @@
Wed Sep 7 09:24:29 CEST 2022
pkg/slackpkg+-1.8.0-noarch-7mt.txz: Rebuilt
- egrep deprecated. thx to ma marav
+-------------------------+
Sat May 7 01:31:38 CEST 2022
pkg/slackpkg+-1.8.0-noarch-6mt.txz: Rebuilt
- wget2 did print CWD

View file

@ -1,3 +1,8 @@
Wed Sep 7 09:24:29 CEST 2022
pkg/slackpkg+-1.8.0-noarch-7mt.txz: Rebuilt
- egrep deprecated. thx to ma marav
+-------------------------+
Sat May 7 01:31:38 CEST 2022
pkg/slackpkg+-1.8.0-noarch-6mt.txz: Rebuilt
- wget2 did print CWD

View file

@ -57,9 +57,9 @@ if [ "$1" == "-v" ];then
fi
if [ -f "$1" ];then
REPOS=$(cat $1|egrep -o -e 'http://[^ ]*' -e 'https://[^ ]*')
REPOS=$(cat $1|grep -E -o -e 'http://[^ ]*' -e 'https://[^ ]*')
else
REPOS=$(echo $*|egrep -o -e 'http://[^ ]*' -e 'https://[^ ]*')
REPOS=$(echo $*|grep -E -o -e 'http://[^ ]*' -e 'https://[^ ]*')
fi
REPOS=$(eval echo $REPOS|sed -e 's/{//g' -e 's/}//g')
@ -80,12 +80,12 @@ for R in $REPOS;do
HOST=$(echo $REPO|cut -f3 -d/)
[ $V ]&&echo -en "\n Host: $HOST\n Check IP: "||echo -n .
if echo $HOST|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$';then
if echo $HOST|grep -E -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$';then
IP=$HOST
else
IP=$(host $HOST 2>/dev/null|grep 'has address'|head -1|awk '{print $NF}')
fi
echo $IP|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$'
echo $IP|grep -E -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$'
if [ $? -ne 0 ];then
[ $V ]&&echo -e " unable to resolve\nInvalid repository"|grep --color .||echo " Invalid (unable to resolve address)"|grep --color .
continue

View file

@ -21,7 +21,7 @@ if [ -z "$SVER" ];then
echo "Which Slackware version are you running? (current/15.0)"
read $SVER
fi
if ! echo $SVER|egrep -q '^(current|15.0)$';then
if ! echo $SVER|grep -E -q '^(current|15.0)$';then
echo "Invalid Slackware version ($SVER)"
exit 1
fi

View file

@ -652,7 +652,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
echo " ChangeLogs"
fi
if echo $1|egrep -q '/SLACKPKGPLUS_(file|dir|http|https|ftp)[0-9].*\.asc$';then
if echo $1|grep -E -q '/SLACKPKGPLUS_(file|dir|http|https|ftp)[0-9].*\.asc$';then
return 0
fi
@ -924,10 +924,10 @@ if [ "$SLACKPKGPLUS" = "on" ];then
elif echo $URLFILE | grep -q -e "^httpdir://" -e "^httpsdir://" -e "^ftpdir://" ; then
if [ "$CACHEUPDATE" == "on" ];then
printf " File: %-20s -> %-20s .. Downloading...\n" "$PREPO" "CHECKSUMS.md5"
lftp $(echo ${MIRRORPLUS[${PREPO/SLACKPKGPLUS_}]}|sed 's/dir//') -e "ls;quit" 2>/dev/null|awk '{print $NF}'|egrep '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
lftp $(echo ${MIRRORPLUS[${PREPO/SLACKPKGPLUS_}]}|sed 's/dir//') -e "ls;quit" 2>/dev/null|awk '{print $NF}'|grep -E '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
awk '{print "00000000000000000000000000000000 ./"$NF}' > ${TMPDIR}/CHECKSUMS.md5-$PREPO
else
lftp $(echo ${MIRRORPLUS[${PREPO/SLACKPKGPLUS_}]}|sed 's/dir//') -e "ls;quit" |awk '{print $NF}'|egrep '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
lftp $(echo ${MIRRORPLUS[${PREPO/SLACKPKGPLUS_}]}|sed 's/dir//') -e "ls;quit" |awk '{print $NF}'|grep -E '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
awk '{print "00000000000000000000000000000000 ./"$NF}' > ${TMPDIR}/CHECKSUMS.md5-$PREPO
fi
else
@ -969,8 +969,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
else
FILTEREXCLUDE="-(x86|i[3456]86|arm)-"
fi
egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "$FILTEREXCLUDE" |sed -r -e "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5-merged
#egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "$FILTEREXCLUDE" |sed -r -e "s# \./# ./SLACKPKGPLUS_$PREPO/#" -e 's#^(.*)/([^/]+)$#\2 \1/\2#'|sort -rn|cut -f2- -d" " >> ${TMPDIR}/CHECKSUMS.md5
grep -E -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|grep -E -v -- "$FILTEREXCLUDE" |sed -r -e "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5-merged
done
if [ "$CHECKGPG" != "on" ];then
mv ${TMPDIR}/CHECKSUMS.md5-merged ${TMPDIR}/CHECKSUMS.md5
@ -1042,7 +1041,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
local REPO
local PREPO
if echo $1|egrep -q -e "/SLACKPKGPLUS_(file|dir|http|ftp|https)[0-9]" -e "/SBO_";then
if echo $1|grep -E -q -e "/SLACKPKGPLUS_(file|dir|http|ftp|https)[0-9]" -e "/SBO_";then
echo 1
return
fi
@ -1125,7 +1124,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
local PREPO
local ARG
if echo $1|egrep -q -e "/SLACKPKGPLUS_(file|dir|http|ftp|https)[0-9]" -e "/SBO_";then
if echo $1|grep -E -q -e "/SLACKPKGPLUS_(file|dir|http|ftp|https)[0-9]" -e "/SBO_";then
echo 1
return
fi
@ -1402,7 +1401,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
# for the fields: version(3) arch(4) build(5), path(7),
# extension(8)
#
zegrep ${GREPOPTS} "${SEARCHSTR}" ${WORKDIR}/${DIR}-filelist.gz | \
zgrep -E ${GREPOPTS} "${SEARCHSTR}" ${WORKDIR}/${DIR}-filelist.gz | \
cut -d" " -f 1 | rev | cut -f2- -d"." | cut -f1 -d"/" | rev |\
awk '{
l_pname=$0
@ -2375,7 +2374,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
# You can specify 'slackpkg install file:package-1.0-noarch-1my.txz' on local disk;
# optionally you can add absolute or relative path.
if echo "$pref" | egrep -q "file:.*\.t.z$" ; then
if echo "$pref" | grep -E -q "file:.*\.t.z$" ; then
package=$(echo "$pref" | cut -f2- -d":")
localpath=$(dirname $package)
package=$(basename $package)
@ -2415,7 +2414,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
# You can specify 'slackpkg install http://mysite.org/myrepo/package-1.0-noarch-1my.txz' to install a package from remote path
# without manual download. You can use http,https,ftp repositories
elif echo "$pref" | egrep -q "^(https?|ftp)://.*/.*-[^-]+-[^-]+-[^\.]+\.t.z$" ;then
elif echo "$pref" | grep -E -q "^(https?|ftp)://.*/.*-[^-]+-[^-]+-[^\.]+\.t.z$" ;then
repository=$(echo "$pref" | cut -f1 -d":")
repository=$repository$(grep ^SLACKPKGPLUS_$repository[0-9] ${TMPDIR}/pkglist-pre|awk '{print $1}'|uniq|wc -l)
MIRRORPLUS[$repository]=$(dirname $pref)"/"
@ -2429,10 +2428,10 @@ if [ "$SLACKPKGPLUS" = "on" ];then
PRIORITY_FILTER_RULE="${repository} ${package}"
# You can specify 'slackpkg install http://mysite.org/myrepo' to list remote directory
elif echo "$pref" | egrep -q "^(https?|ftp)://.*/.*" ;then
elif echo "$pref" | grep -E -q "^(https?|ftp)://.*/.*" ;then
repository=$(echo "$pref" | cut -f1 -d":")
repository=$repository$(grep ^SLACKPKGPLUS_$repository[0-9] ${TMPDIR}/pkglist-pre|awk '{print $1}'|uniq|wc -l)
lftp $pref -e "ls;quit" 2>/dev/null|awk '{print $NF}'|egrep '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
lftp $pref -e "ls;quit" 2>/dev/null|awk '{print $NF}'|grep -E '^.*-[^-]+-[^-]+-[^\.]+\.t.z$'|sort -rn| \
awk '{print "./SLACKPKGPLUS_'$repository'/"$NF}'|awk -f /usr/libexec/slackpkg/pkglist.awk >> ${TMPDIR}/pkglist-pre
MIRRORPLUS[$repository]=$(echo "$pref" |sed 's_/$__')"/"
PRIORITYLIST=( ${PRIORITYLIST[*]} SLACKPKGPLUS_${repository}:.* )